# Advent of Code 2019 
Solutions to [Advent of Code 2019](https://adventofcode.com/2019) in Python 3.

## Usage
To solve all puzzles with implemented solutions run 
```console
foo@bar:~$ python3 main.py 
```
or alternatively make the main program executable
```console
foo@bar:~$ chmod +x main.py
foo@bar:~$ ./main.py
```
For other options see `./main.py -h`
```console
foo@bar:~$ ./main.py -h
usage: main.py [-h] [-d DAY[-DAY]] [-i INPUT] [-t]

Solves Advent of Code 2019 puzzles. The puzzles are available at
https://adventofcode.com/2019/

optional arguments:
  -h, --help            show this help message and exit
  -d DAY[-DAY], --day DAY[-DAY]
                        solve puzzle of day DAY or of range DAY-DAY
  -i INPUT, --input INPUT
                        use INPUT as puzzle input
  -t, --test            run tests
```
